## inventor 2.1.6%2Bds

=== doc/man/CMakeLists.txt ===
#add_subdirectory(tools)
add_subdirectory(ivman)
add_subdirectory(man1)
add_subdirectory(man3)
