=== apps/converters/iv2toiv1/CMakeLists.txt ===
configure_file(iv2toiv1.in ${CMAKE_CURRENT_BINARY_DIR}/iv2toiv1 @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/iv2toiv1
    DESTINATION ${CMAKE_INSTALL_BINDIR})
