=== apps/nodes/BarChart/CMakeLists.txt ===
add_plugin(BarChart
    BarChart.c++
    BarChart.h
)
