=== apps/samples/4view/CMakeLists.txt ===
add_sample(4view
    4view.c++
)
