## inventor 2.1.5-10

=== debian/changelog ===
inventor (2.1.5-10-24) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Improve cross building: Let dh_auto_build pass cross tools to make.
    (Closes: #902298)

  [ Graham Inggs ]
  * Use __SIZEOF_LONG__ to determine 64-bit architectures
    (Closes: #973005)
  * Switch from debian/compat to debhelper-compat
  * Set Rules-Requires-Root: no
  * Use canonical URI for Vcs-Browser
  * Do not link with -Wl,--as-needed, it is now the default
  * Remove trailing whitespace from d/changelog, d/rules
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 31 Oct 2021 12:34:16 +0000

inventor (2.1.5-10-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove arch-specific filter used when building the arch: all
    packages, hopefully fixing #889189.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 24 Apr 2021 11:51:14 +0000

inventor (2.1.5-10-23) unstable; urgency=medium

  [ Steve Robbins ]
  * [136a90b] Add build-dep on csh; use debhelper v13.

 -- Steve M. Robbins <smr@debian.org>  Mon, 19 Oct 2020 21:15:34 -0500

inventor (2.1.5-10-22) unstable; urgency=medium

  [ Steve Robbins ]
  * [ab7389d] Remove build-dep on tcsh.
  * [5ab1c4e] Add .gitignore to ignore build products

 -- Steve M. Robbins <smr@debian.org>  Fri, 31 Jul 2020 19:17:47 -0500

inventor (2.1.5-10-21) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * hardening=+all
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 13:45:45 +0100

inventor (2.1.5-10-20) unstable; urgency=medium

  * d/patches/dont-use-FT_Done_GlyphSlot.patch: New.  Remove use
  of FT_Done_GlyphSlot so that Inventor builds with freetype 2.8.
  Closes: #867111

  * d/rules: Don't ship /usr/lib/inventor/SceneViewer* in inventor-demo,
  because SceneViewer is already in inventor-clients.  Closes: #868547.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jul 2017 23:28:37 -0500

inventor (2.1.5-10-19) unstable; urgency=medium

  * patches/inventor-gcc6.patch: New.  Fixes required for building with
    GCC 6 (thanks, Graham Inggs).  Closes: #811781.

 -- Steve M. Robbins <smr@debian.org>  Mon, 15 Aug 2016 23:31:20 -0500

inventor (2.1.5-10-18) unstable; urgency=low

  * patches/endianness.patch: Add s390x and aarch64 to list of 64-bit
    architectures.  Closes: #739186.

  * patches/add-required-libs.patch: Link Decal.so explicitly against
    libc.  Closes: #719485.

  * debian/rules: Link everything with "--as-needed".

 -- Steve M. Robbins <smr@debian.org>  Mon, 31 Mar 2014 20:20:06 -0500

inventor (2.1.5-10-17) unstable; urgency=low

  * control: Change from lesstif2 to motif.  Closes: #714864.
  * Bump SOVERSION to 1.0.0.

  * patches/add-required-libs.patch: Link with -lXm before -lXt.
    Closes: #718691.

  * patches/buildsystem.patch: Use xdg-open as PDF viewer.
    Closes: #718784.

 -- Steve M. Robbins <smr@debian.org>  Fri, 09 Aug 2013 22:50:15 -0500

inventor (2.1.5-10-16) unstable; urgency=low

  * patches/add-required-libs.patch: Do not hard-code libGLw path.  Bug
    fix for #624156 restores ability to use shared libGLw.
    Closes: #634559.

  * control: change recommends from xpdf-reader to xpdf.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 Sep 2011 15:50:51 -0500

inventor (2.1.5-10-15) unstable; urgency=low

  * control: Move to Debian-science repository, set Maintainer,
    Uploaders, and Vcs fields.  Set Standards-Version to 3.9.2.  Fix -doc
    description.  Closes: #575557.

  * compat:
  * control: Require use of debhelper v8.  Add ${misc:Depends} to all
    packages.

  * source/format: Switch to source format 3.0.  Closes: #620531.
    - patches/add-required-libs.patch:
    - patches/bison-workaround.patch:
    - patches/buildman.patch:
    - patches/buildsystem.patch:
    - patches/configurability.patch:
    - patches/const-correctness.patch:
    - patches/endianness.patch:
    - patches/forward-declare.patch:
    - patches/freetype.patch:
    - patches/ivman.patch:
    - patches/main-correctness.patch:
    - patches/socalcparse.patch:
    - patches/use-tcsh.patch: New.  Patch set created from previous debian
      diff, augmented to link all required lib.  Closes: #554921.

  * Build on i386 to ensure docs are built.  Closes: #595405.

 -- Steve M. Robbins <smr@debian.org>  Tue, 26 Apr 2011 00:46:51 -0500

inventor (2.1.5-10-14) unstable; urgency=low

  * lib/database/src/so/SoInput.c++:
  * lib/interaction/src/nodekits/SoInteractionKit.c++: Store return value
    of strchr() in const char*, rather than char*.  Closes: #560454.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2010 21:15:00 -0600

inventor (2.1.5-10-13) unstable; urgency=low

  * debian/control: Build-depend on x11proto-core-dev instead of x-dev.
    Closes: #515454.  Build-depend on libglu1-mesa-dev instead of
    libglu1-xorg-dev.  Update standards-version to 3.8.2.0.  Change
    ${Source-Version} to ${binary:Version}.  Move -doc to section doc.

  * debian/inventor-clients.menu: Update section from Apps/Graphics to
    Applications/Graphics.

  * debian/libinventor0.lintian-overrides: New.  Override lintian check
    for dependency on xfonts.  Debian policy doesn't apply here because
    we're not getting font info from the server, but directly reading the
    files supplied by the font package; thus the dependency is necessary.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Aug 2009 01:32:08 -0500

inventor (2.1.5-10-12) unstable; urgency=low

  * debian/control: Build-depend on libglw1-mesa-dev instead of
    libgl1-mesa-swx11-dev.  Closes: #439485.  Fix description typos.
    Closes: #438890.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Aug 2007 22:35:35 -0500

inventor (2.1.5-10-11) unstable; urgency=low

  * debian/link-fonts.sh: Don't try to link non-existent .pfa file.
  Closes: #383627.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Jun 2007 00:56:26 -0500


