## inventor 2.1.5-10+dfsg

=== debian/changelog ===
inventor (2.1.5-10+dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [6c3239d] Fix broken symlinks to Century-Schoolbook fonts.
    Closes: #1036603.
  * [d2a2a86] Remove dep from transitional dummy package gsfonts-x11
  * [54dce68] Change dep from transitional libfreetype6-dev to libfreetype-dev.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 May 2023 20:08:52 -0500

inventor (2.1.5-10+dfsg-1) unstable; urgency=high

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Exclude non-free/non-source files (Closes: #1029036)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove fields on binary packages that duplicate source:
    + Field Priority from inventor-clients, inventor-data, inventor-demo,
      inventor-dev, inventor-doc, libinventor1.
    + Field Section from inventor-dev.
  * Apply multi-arch hints.
    + inventor-data, inventor-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 06 Feb 2023 00:50:57 +0100

inventor (2.1.5-10-25) unstable; urgency=medium

  [ Steve Robbins ]
  * [40c9267] Depend on new fonts-urw-base35 (replacement for gsfonts-x11.
    Closes: #1020236, #1020371.
  * [4174d16] adjust override

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Oct 2022 00:31:55 -0500
