=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libmotif-dev,
                libglw1-mesa-dev,
                libglu1-mesa-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libjpeg-dev,
                bison
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/inventor
 Vcs-Git: https://salsa.debian.org/science-team/inventor.git
@@ -24,11 +24,10 @@
 Package: libinventor1
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          xfonts-scalable,
-         gsfonts-x11
+         fonts-urw-base35
 Recommends: xdg-utils,
             xpdf | pdf-viewer
 Conflicts: libinventor0
@@ -48,8 +47,6 @@
 
 Package: inventor-dev
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${misc:Depends},
          libinventor1 (= ${binary:Version}),
          libc6-dev,
@@ -72,10 +69,10 @@
 Package: inventor-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Conflicts: libcoin20-doc,
            libcoin40-doc
+Multi-Arch: foreign
 Description: Open Inventor documentation
  This package contains the Open Inventor documentation files.
  .
@@ -90,7 +87,6 @@
 Package: inventor-clients
 Architecture: any
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Open Inventor client programs
@@ -107,8 +103,8 @@
 Package: inventor-data
 Architecture: all
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Open Inventor sample data files
  This package contains sample 3D model and scene files in inventor format.
  .
@@ -123,7 +119,6 @@
 Package: inventor-demo
 Architecture: any
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Open Inventor demonstration programs and example code
